Quassel IRC - Bug #643

Quassel Client chrashes when testing a notification sound
03/28/2009 11:20 PM - Cybertinus

Status: Closed Start date: 03/28/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.3.0.x 0S: Any

Description

How to reproduce:

1. Open the settings of Quassel client (press F7 for example)

2. Go to the "Appearance -> Notifications" settings

3. Select a Notification (the "highlight" notification is a good choice)
4. Check the box labeled "Play a sound"

5. Select a sound in the box, next to the checkbox

6. Press the play button.

Actual result:
A full chrash of Quassel Client

Expected result:
The selected sound should be played.

Used software:

Quassel Client 0.4.1

=kde-base/phonon-kde-4.2.1 (this is Gentoo notation ;) )
=media-sound/phonon-4.3.1 (this is Gentoo notation ;) )

Test system:

Gentoo ~amd64

Quassel 0.4.1 with the following USE-flags: X dbus kde oxygen server ssl webkit -debug -linguas_cs -linguas_da
-linguas_de-linguas_fr -linguas_hu -linguas_nb_NO -linguas_ru -linguas_sl -linguas_tr -monolithic -phonon)

History

#1 - 03/28/2009 11:27 PM - billie

Reproduced here with gt-phonon.

#2 - 03/02/2010 01:14 AM - johu
- Status changed from New to Closed

- Version changed from 0.4.0+ to 0.3.0.x

can not reproduce on kde 4.4.0, should be fixed
